#/usr/bin/bash
mode="engine"
#debug="--debug --verbose"
debug=""

if [ -n "$1" ]; then
	if [[ $1 =~ ^(engine|lqs)$ ]]; then 
  		mode=$1 
	fi
fi

echo "[ Run mode=$mode ]"

if [ $mode == "engine" ]; then
	/usr/bin/python3.6 aura.py
fi

if [ $mode == "lqs" ]; then
	(cd modules/liquidsoap/ && /usr/bin/liquidsoap $debug ./engine.liq) 
fi